Subject: Re: questions about "Opaque capability on DD exchange ..."

From: Acee Lindem <[email-masked]>
Date: Fri, 6 Feb 2004 14:11:16 -0500

Lily,
In the future, please send your questions in plain text format to the
OSPF list. If you receive an opaque LSA and you do not support
them, you should generate a SequenceNumberMismatch as documented
on pages 101-102 in RFC 2328. Since OSPF is designed for a single
administrative domain the adminstrator should be able to take action
to deal with the errant router. 
  ----- Original Message ----- 
  From: Lily Lu 
  To: [email-masked] ; [email-masked] ; [email-masked] ; [email-masked] 
  Sent: Friday, February 06, 2004 1:44 PM
  Subject: questions about "Opaque capability on DD exchange ..."

  Hi Acee, Rob, John and Michael: 
  In the RFC2370, it state: 

  "An opaque-capable router learns of its neighbor's opaque capability 
     at the beginning of the "Database Exchange Process" (see Section 10.6 
     of [OSPF], receiving Database Description packets from a neighbor in 
     state ExStart). .... 
   Then, in the next step of the Database Exchange process, 
     Opaque LSAs are included in the Database summary list that is sent to 
     the neighbor (see Sections 3.2 below and 10.3 of [OSPF]) if and only 
     if the neighbor is opaque capable. 
  " 
    I'm also aware that in the next paragraph, it says "The non-opaque- 
     capable router will then simply discard the LSA (see Section 13 of 
     [OSPF], receiving LSAs having unknown LS types". 
    However, I thought that would only apply to " multicasts", or it can apply to any situation including 
  neighbors staging and neighbor state machine? 

  Questions 
  ========== 
  - What happens when a router did send it's opaque LSA to it's none-Opaque LSA neighbor? 

  - Should the neighbor still go ahead and try to stage to "full" with the router, or should the neighbor 
  bump the router and not staging with it at all? 

  - What's the consequence, if the neighbor go ahead to stage with the router? Do we have problems? 

  - Do we know how Cisco or Juniper behaves  ? 

  Just don't wanbt to have a drastic treasurement for such an event, unless it's very neccessary. 

  Thank you in advance, 
  Lily

---

From: Erblichs <[email-masked]>
Date: Fri, 6 Feb 2004 13:42:51 -0800

Hi Group,

        What is the expected amount of cleanup if the authentication
        method or values are changed by a OSPF router and correctly
        validated by a peer/full adj OSPF router?

        Yes, I am assuming past LSDB synchronization, and the
        OSPF routers have achieved a full adj.

        Mitchell Erblich
        Sr Network Software Eng.
        ------------------

---

From: Acee Lindem <[email-masked]>
Date: Fri, 6 Feb 2004 17:26:56 -0500

----- Original Message -----
From: "Erblichs" <[email-masked]>
To: <[email-masked]>
Sent: Friday, February 06, 2004 4:42 PM
Subject: Authentication changes

>         validated by a peer/full adj OSPF router?

Hi Mitchell,

The change of authentication method should be seemless as long as all
routers on the network are changed within the router-dead-interval. For
key changes, various vendors have implemented different mechansims for
changing an OSPF interface key without precise synchronization of key
changes so in this case you're not even bounded by the router-dead-interval.

Thanks,